import java.applet.Applet;
import java.applet.AudioClip;
import java.net.URL;
import java.net.MalformedURLException;

public class PlaySound extends Applet
{
    protected String rightAnswerFileName;
    protected String wrongAnswerFileName;
    protected URL rightAnswerSound;
    protected URL wrongAnswerSound;
    protected AudioClip rightAnswerSoundData = null;
    protected AudioClip wrongAnswerSoundData = null; 

    public void init()
    {
          // Applet parameters
          rightAnswerFileName = getParameter("rightAnswerFileName");
	  wrongAnswerFileName = getParameter("wrongAnswerFileName");

          // Sound
  	  try 
  	  {
	      rightAnswerSound = new URL(getCodeBase(), rightAnswerFileName);
  	  }  catch (MalformedURLException e) 
 	  {
	      rightAnswerSound = null;
	  };       
	   
	  if (rightAnswerSound != null && rightAnswerSoundData == null) 
	  {
	      rightAnswerSoundData = getAudioClip(rightAnswerSound);
	  };
	  
          // Sound
  	  try 
  	  {
	      wrongAnswerSound = new URL(getCodeBase(), wrongAnswerFileName);
  	  }  catch (MalformedURLException e) 
 	  {
	      wrongAnswerSound = null;
	  };       
	   
	  if (wrongAnswerSound != null && wrongAnswerSoundData == null) 
	  {
	      wrongAnswerSoundData = getAudioClip(wrongAnswerSound);
	  };	   
    };

    public void playRightAnswer()
    {
       rightAnswerSoundData.play();
    };

    public void playWrongAnswer()
    {
       wrongAnswerSoundData.play();
    };
}
